
///////////////////////////////////////////////////////////////////////////////  
//文件名称: WinSupplyAssetSelecter.xaml
//文件描述: WinSupplyAssetSelecter.xaml
//创 建 者: xls
//创建日期: 2018/9/12 22:33:38
//版 本 号：1.0.0.0
////////////////////////////////////////////////////////////////////////////////

using System;
using System.Windows;
using System.Windows.Controls;
using FWindSoft.Wpf;

namespace Com.FirmLib.UI.Seller
{
    /// <summary>
    /// WinSupplyAssetSelecter.xaml 的交互逻辑
    /// </summary>
    public partial class WinSupplyAssetSelector : BaseWindow
    {
        private VmSupplyAssetSelector m_Vm;
        public WinSupplyAssetSelector() : this(new VmSupplyAssetSelector())
        {
            InitializeComponent();
        }
        public WinSupplyAssetSelector(VmSupplyAssetSelector vm)
        {
            InitializeComponent();
            this.m_Vm = vm;
            this.m_Vm.SetRefView(this);
            this.DataContext = this.m_Vm;
        }
        protected override void LoadData(LoadParameter parameter)
        {
            //初始化数据
           TryCatchWrapper.Handled(() => this.m_Vm.Init(parameter));
        }
        #region 界面关联事件
        private void btnOK_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                if (this.HasError())
                {
                    //MessageShow.Infomation("请修改错误输入项");
                    return;
                }
            }
            catch (Exception ex)
            {
                //MessageShow.Show(ex);
            }
        }

        private void btnCancel_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }

        private void TabControl_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            System.Windows.Controls.TabControl control = e.OriginalSource as TabControl;
            if (control == null)
                return;
            this.m_Vm.TabChangedCommand(control.SelectedIndex);
        }
        #endregion
    }
}
